summaryrefslogtreecommitdiff
path: root/dev-ruby/net-http-persistent
diff options
context:
space:
mode:
authorroot <root@alpha.trunkmasters.com>2026-06-12 19:09:37 -0500
committerroot <root@alpha.trunkmasters.com>2026-06-12 19:09:37 -0500
commitb590c8d7572b727d565cc0b8ff660d43569845de (patch)
tree06f7a4102ea4e845df8b66660f252920d52952f9 /dev-ruby/net-http-persistent
parent24f9cbfc4c34fdb6a6e03311674414e881ceab47 (diff)
downloadbaldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.tar.gz
baldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.tar.xz
baldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.zip
Adding metadata
Diffstat (limited to 'dev-ruby/net-http-persistent')
-rw-r--r--dev-ruby/net-http-persistent/Manifest3
-rw-r--r--dev-ruby/net-http-persistent/metadata.xml9
-rw-r--r--dev-ruby/net-http-persistent/net-http-persistent-4.0.5.ebuild33
-rw-r--r--dev-ruby/net-http-persistent/net-http-persistent-4.0.6.ebuild33
-rw-r--r--dev-ruby/net-http-persistent/net-http-persistent-4.0.8.ebuild33
5 files changed, 111 insertions, 0 deletions
diff --git a/dev-ruby/net-http-persistent/Manifest b/dev-ruby/net-http-persistent/Manifest
new file mode 100644
index 000000000000..8f144f7447dc
--- /dev/null
+++ b/dev-ruby/net-http-persistent/Manifest
@@ -0,0 +1,3 @@
+DIST net-http-persistent-4.0.5.tar.gz 24367 BLAKE2B 724f72ed14198493c1b044157cb233010bab470be6915998eb19c32ced5f701e86f2534fefea088d3f46ea0acd4b07c1c5e3b8e6d191a006a97d012a4b6adca7 SHA512 79aea45a34631935de65d21db2b7f8832f60a107e70d40cd6d52b4a0fe5c4790222c8aa673b677b4c9a5c58e5d1718c95c81a33866b35c390d49d41854361d05
+DIST net-http-persistent-4.0.6.tar.gz 24710 BLAKE2B ade3149e6c745d6cafe3baba2baa982eb705c1e848250d142820ef630da141cf496192b3a907f4c6b4019d99c02abac60b454526e1c7fefa19001e80356c8d26 SHA512 25a4cba18943c034b1b8abe4eebb1b314f1bfc534b5815e590ca6a53bd1fb112aab00eef95ce4073807e2ee9328661efe7249a70822aa7c627d503c70ce47d4c
+DIST net-http-persistent-4.0.8.tar.gz 25376 BLAKE2B 549f851b6b011d0241f8001009a8aeb495506c758875a00c6f2ee873e38f1e2ce91b129f8258a70c52b572d89a01ce3d3c005277a2f2db22300d4e8862051dbc SHA512 1df7211c108d531dda0619a0e22a6f43ad433f051e1e99bda83807be2cb89041dd85903d5fad80c01783303f0e476c3ccce01ac1642d5df1030477381620563e
diff --git a/dev-ruby/net-http-persistent/metadata.xml b/dev-ruby/net-http-persistent/metadata.xml
new file mode 100644
index 000000000000..c685ebad7e3a
--- /dev/null
+++ b/dev-ruby/net-http-persistent/metadata.xml
@@ -0,0 +1,9 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://docs.baldeagleos.com/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>ruby@gentoo.org</email>
+ <name>Gentoo Ruby Project</name>
+ </maintainer>
+ <origin>baldeagleos-repo</origin>
+</pkgmetadata>
diff --git a/dev-ruby/net-http-persistent/net-http-persistent-4.0.5.ebuild b/dev-ruby/net-http-persistent/net-http-persistent-4.0.5.ebuild
new file mode 100644
index 000000000000..669317f5743b
--- /dev/null
+++ b/dev-ruby/net-http-persistent/net-http-persistent-4.0.5.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby31 ruby32 ruby33 ruby34"
+
+RUBY_FAKEGEM_EXTRADOC="History.txt README.rdoc"
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Manages persistent connections using Net::HTTP plus a speed fix for Ruby 1.8"
+HOMEPAGE="https://github.com/drbrain/net-http-persistent"
+SRC_URI="https://github.com/drbrain/net-http-persistent/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1)"
+KEYWORDS="amd64 ~arm ~ppc ~ppc64 x86"
+IUSE="doc test"
+
+ruby_add_rdepend ">=dev-ruby/connection_pool-2.2:0"
+
+ruby_add_bdepend "test? ( dev-ruby/minitest )"
+
+all_ruby_prepare() {
+ # Not relevant for us (we're just using rake for the tests)
+ sed -i -e '/require "rake\/manifest"/,/^end/ s:^:#:' Rakefile || die
+
+ # avoid test with implicit dependency on net-http-pipeline which
+ # fails and is not tested upstream
+ sed -i -e '/net-http-pipeline not installed/ s/unless.*$//' test/test_net_http_persistent.rb || die
+}
diff --git a/dev-ruby/net-http-persistent/net-http-persistent-4.0.6.ebuild b/dev-ruby/net-http-persistent/net-http-persistent-4.0.6.ebuild
new file mode 100644
index 000000000000..91c749148ddd
--- /dev/null
+++ b/dev-ruby/net-http-persistent/net-http-persistent-4.0.6.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby32 ruby33 ruby34"
+
+RUBY_FAKEGEM_EXTRADOC="History.txt README.rdoc"
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Manages persistent connections using Net::HTTP plus a speed fix for Ruby 1.8"
+HOMEPAGE="https://github.com/drbrain/net-http-persistent"
+SRC_URI="https://github.com/drbrain/net-http-persistent/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1)"
+KEYWORDS="~amd64 ~arm ~ppc ~ppc64 ~x86"
+IUSE="doc test"
+
+ruby_add_rdepend ">=dev-ruby/connection_pool-2.2.4:0"
+
+ruby_add_bdepend "test? ( dev-ruby/minitest )"
+
+all_ruby_prepare() {
+ # Not relevant for us (we're just using rake for the tests)
+ sed -i -e '/require "rake\/manifest"/,/^end/ s:^:#:' Rakefile || die
+
+ # avoid test with implicit dependency on net-http-pipeline which
+ # fails and is not tested upstream
+ sed -i -e '/net-http-pipeline not installed/ s/unless.*$//' test/test_net_http_persistent.rb || die
+}
diff --git a/dev-ruby/net-http-persistent/net-http-persistent-4.0.8.ebuild b/dev-ruby/net-http-persistent/net-http-persistent-4.0.8.ebuild
new file mode 100644
index 000000000000..320ef9612a6b
--- /dev/null
+++ b/dev-ruby/net-http-persistent/net-http-persistent-4.0.8.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby32 ruby33 ruby34"
+
+RUBY_FAKEGEM_EXTRADOC="History.txt README.rdoc"
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Manages persistent connections using Net::HTTP plus a speed fix for Ruby 1.8"
+HOMEPAGE="https://github.com/drbrain/net-http-persistent"
+SRC_URI="https://github.com/drbrain/net-http-persistent/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1)"
+KEYWORDS="~amd64 ~arm ~ppc ~ppc64 ~x86"
+IUSE="doc test"
+
+ruby_add_rdepend "|| ( dev-ruby/connection_pool:3 >=dev-ruby/connection_pool-2.2.4:0 )"
+
+ruby_add_bdepend "test? ( dev-ruby/minitest )"
+
+all_ruby_prepare() {
+ # Not relevant for us (we're just using rake for the tests)
+ sed -i -e '/require "rake\/manifest"/,/^end/ s:^:#:' Rakefile || die
+
+ # avoid test with implicit dependency on net-http-pipeline which
+ # fails and is not tested upstream
+ sed -i -e '/net-http-pipeline not installed/ s/unless.*$//' test/test_net_http_persistent.rb || die
+}